
require( "scripts/style.lua" );


	MakeDialog
	{
		name="editWindow",
		Window
		{
			fit=true;
			x=200,
			y=200,
                      
			Bitmap
			{
				fit=true,
				name="game",
				image="backgrounds/dialog",
			
			},
                        
			SetStyle(ButtonStyle),
			Button
			{
				x=70,
				y=20,
				name="prevGame",
				label="prevGame",
				type = kPush,
				command=
					function()
						ChangeGame(-1);
					end
			},
			
			Button
			{
				x=250,
				y=20,
				name="nextGame",
				label="nextGame",
				type = kPush,
				command=
					function()
						ChangeGame(1);
					end
			},
			
			Button
			{
				x=70,
				y=20+40,
				name="save",
				label="save",
				type = kPush,
				command=
					function()
						Save();
						PopModal("editWindow");
					end
			},
			Button
			{
				x=70,
				y=20+80,
				name="load",
				label="load",
				type = kPush,
				command=
					function()
						Load();
						PopModal("editWindow");
					end
			},
			Button
			{
				x=70,
				y=20+120,
				name="blocktype",
				label="blocktype",
				type = kPush,
				command=
					function()
						BlockType();
						PopModal("editWindow");
					end
			},
			Button
			{
				x=70,
				y=20+160,
				name="setblock",
				label="setblock",
				type = kPush,
				command=
					function()
						SetBlock();
						PopModal("editWindow");
					end
			},
			Button
			{
				x=200+50,
				y=20+40,
				name="blockstate",
				label="blockstate",
				type = kPush,
				command=
					function()
						SetBlockState();
						PopModal("editWindow");
					end
			},
			
			Button
			{
				x=200+50,
				y=20+160,
				name="ok",
				label="ok",
				type = kPush,
				command=
					function()
						PopModal("editWindow");
					end
			},
			
			Button
			{
				x=200+50,
				y=20+80,
				name="source",
				label="source",
				type = kPush,
				command=
					function()
						SetSource();
						PopModal("editWindow");
					end
			},
			Button
			{
				x=200+50,
				y=20+120,
				name="dest",
				label="dest",
				type = kPush,
				command=
					function()
						SetDest();
						PopModal("editWindow");
					end
			},
			
		}
	}
